<HTML>
  <%@include file="header.jsf" %>
  <agency:useCustomer login="${param.customer}"/>
  <BODY>
    <H1>${agency.agencyName}</H1>

    <H2>Customer details for: ${cust.login}</H2>
    <FORM action='<c:url value="/customer/updateCustomer"/>'>
      <INPUT type="hidden" name="login" value="${cust.login}">
      <TABLE>
        <TR>
          <TD>Login:</TD>
          <TD>${cust.login}</TD>
        </TR>
        <TR>
          <TD>Name:</TD>
          <TD><input type="text" name="name" value="${cust.name}"></TD>
        </TR>
        <TR>
          <TD>Email:</TD>
          <TD><input type="text" name="email" value="${cust.email}"></TD>
        </TR>
        <TR>
          <TD>Address:</TD>
          <TD><input type="text" name="address" value="${cust.address[0]}"></TD>
        </TR>
        <TR>
          <TD>Address:</TD>
          <TD><input type="text" name="address" value="${cust.address[1]}"></TD>
        </TR>
      </TABLE>
      <INPUT type="submit" value="Update Details">
      <INPUT type="reset">
    </FORM>
    <FORM action='<c:url value="/customer/deleteCustomer"/>'>
      <INPUT type="hidden" name="customer" value="${cust.login}">
      <INPUT type="submit" value="Delete Customer ${cust.login}">
    </FORM>

    <H2>Jobs</H2>
    <c:forEach var="jobRef" items="${cust.jobs}" >
      <agency:useJob customer="${cust.login}" ref="${jobRef}"/>
      <H3>${job.ref}</H3>
      <FORM action='<c:url value="/customer/updateJob"/>'>
        <TABLE>
          <TR>
            <TD>Description:</TD>
            <TD><input type="text" name="description" value="${job.description}"></TD>
          </TR>
          <TR>
            <TD>Location:</TD>
            <TD>
              <SELECT name="location">
                <c:forEach var="location" items="${agency.locations}" >
                  <agency:option option="${location}" selected="${job.location}"/>
                </c:forEach>
              </SELECT>
            </TD>
          </TR>
          <TR>
            <TD>Skills:</TD>
            <TD>
              <SELECT name="skills" multiple size="6">
                <c:forEach var="agencySkill" items="${agency.skills}" >
                  <agency:option option="${agencySkill}" selected="${job.skills}"/>
                </c:forEach>
              </SELECT>
            </TD>
          </TR>
        </TABLE>
        <INPUT type="hidden" name="customer" value="${job.customer}">
        <INPUT type="hidden" name="ref" value="${job.ref}">
        <INPUT type="submit" value="Update Job">
      </FORM>
      <FORM action='<c:url value="/customer/deleteJob"/>'>
        <INPUT type="hidden" name="customer" value="${job.customer}">
        <INPUT type="hidden" name="ref" value="${job.ref}">
        <INPUT type="submit" value="Delete Job ${job.ref}">
      </FORM>
    </c:forEach>

    <H2>Create New Job</H2>
    <FORM action='<c:url value="/customer/createJob"/>'>
      <TABLE>
        <TR>
          <TD>Ref:</TD>
          <TD><INPUT type="text" name="ref"></TD>
        </TR>
        <TR>
          <INPUT type="hidden" name="customer" value="${cust.login}">
          <TD colspan="2"><INPUT type="submit" value="Create Job"></TD>
        </TR>
      </TABLE>
    </FORM>
    <%@include file="footer.jsf" %>
  </BODY>
</HTML>
