package demo;

import java.io.*;
import java.sql.*;
import javax.sql.*;
import javax.naming.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class LookupTag extends TagSupport {
    private String dataSource;
    private String table;

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public int doStartTag() throws JspException {
        if (dataSource.length()==0 || table.length()==0)
            return SKIP_BODY;
        String msg = null;
        try {            
            InitialContext ic = new InitialContext();
            DataSource ds = (DataSource)ic.lookup(dataSource);
            doSelect(pageContext.getOut(), ds, table);
        }
        catch (Exception ex) {
            throw new JspTagException("LookupTag: "+ex);
        }
        return SKIP_BODY;
     }

   private void doSelect (JspWriter out, DataSource ds, String table) 
      throws SQLException, IOException 
   {
      out.println("<H2>"+table+"</H2>");
      Connection con = null;
      PreparedStatement stmt = null;
      ResultSet rs = null;
      try {
          con = ds.getConnection();
          stmt = con.prepareStatement("select * from "+table);
          rs = stmt.executeQuery();
          out.print("<TABLE border=1>");
          ResultSetMetaData rsmd = rs.getMetaData();
          int numCols = rsmd.getColumnCount();
          out.print("<TR>");
          for (int i=1; i <= numCols; i++) {
              out.print("<TH>");
              out.print(rsmd.getColumnLabel(i));
              out.print("</TH>");
          }
          out.print("</TR>");
          while (rs.next()) {
              out.print("</TR>");
              for (int i=1; i <= numCols; i++) {
                  out.print("<TD>");
                  out.print(rs.getString(i));
                  out.print("</TD>");
              }
              out.print("</TR>");
          }
          out.print("</TABLE>");
      }
      finally {
          try {rs.close();} catch (Exception ex) {}
          try {stmt.close();} catch (Exception ex) {}
          try {con.close();} catch (Exception ex) {}
      }
   }
}

