package webagency;

import java.io.*;
import java.util.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class OptionTag extends TagSupport {
    private String option = "";
    private Object selected = new String[0];

    public void setOption (String option) {
        this.option = option;
    }

    public String getOption () {
        return option;
    }

    public void setSelected (Object selected) {
        this.selected = selected;
    }

    public Object getSelected () {
        return selected;
    }

    public int doStartTag() throws JspTagException {
        try {
            Iterator it = selectedIterator();
            while (it.hasNext()) {
                String value = it.next().toString();
                if (option.equals(value)) {
                    pageContext.getOut().print("<OPTION selected>"+option+"</OPTION>");
                    return SKIP_BODY;
                }
            }
            pageContext.getOut().print("<OPTION>"+option+"</OPTION>");
        }
        catch (IOException ex) {
            throw new JspTagException("OptionTag: "+ex);
        }
        return SKIP_BODY;
     }

     private Iterator selectedIterator() {
        if (selected == null)
            return new ArrayIterator (new Object[0]);
        if (selected instanceof Collection)
            return ((Collection)selected).iterator();
        if (selected instanceof Object[])
            return new ArrayIterator ((Object[])selected);
        return new ArrayIterator(new Object[] {selected} );
     }

     private static class ArrayIterator implements Iterator {
        private Object[] arr = null;
        private int i=0;
        public ArrayIterator(final Object[] arr)
            {this.arr = arr;}
        public boolean hasNext ()
            {return i<arr.length;}
        public Object next()
            {return arr[i++];}
        public void remove()
            {throw new UnsupportedOperationException("Remove not supported");}
     }
}

